---
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ printf "%s-2-setup" (include "keycloak.fullname" .) | trunc 63 | trimSuffix "-" }}
  labels:
    {{- include "keycloak.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": post-install,post-upgrade
    "helm.sh/hook-weight": "2"
    "helm.sh/hook-delete-policy": before-hook-creation
spec:
  template:
    metadata:
      name: {{ include "keycloak.fullname" . }}
      labels:
        {{- include "keycloak.labels" . | nindent 8 }}
    spec:
      enableServiceLinks: false
      automountServiceAccountToken: false
      restartPolicy: Never
      containers:
        - name: {{ .Chart.Name }}-setup
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.init2.image.repository }}:{{ coalesce .Values.init2.image.tag }}"
          imagePullPolicy: "{{ coalesce .Values.init2.image.pullPolicy .Values.global.image.pullPolicy }}"
          command: [npm]
          args: [start, --, full-import]
          env:
            - name: KEYCLOAK_BASE_URL
              value: {{ printf "http://%s-%s:%s/kc" .Release.Name "keycloak" (.Values.service.port | toString ) | quote }}
            - name: KEYCLOAK_REALM_NAME
              value: {{ .Release.Name }}
            - name: KEYCLOAK_MASTER_REALM_NAME
              value: master
            - name: KEYCLOAK_ADMIN_USERNAME
              valueFrom:
                secretKeyRef:
                  name: {{ printf "%s-keycloak-auth" .Release.Name }}
                  key: username
            - name: KEYCLOAK_ADMIN_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: {{ printf "%s-keycloak-auth" .Release.Name }}
                  key: password
          volumeMounts:
            - name: clients
              mountPath: /app/data/clients.json
              subPath: clients.json
            - name: users
              mountPath: /app/data/users.json
              subPath: users.json
      volumes:
        - name: clients
          secret:
            secretName: {{ printf "%s-keycloak-clients" .Release.Name }}
        - name: users
          secret:
            secretName: {{ printf "%s-keycloak-users" .Release.Name }}
